Subject: Re: Perl DBD::Oracle 'make test' fails: Oracle.dll permission denied
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 5 Mar 2013 08:10:04 -0600
List-Id: <cygwin.cygwin.com>

On Mon, Mar 4, 2013 at 1:01 PM, Bob McGowan  wrote:
> I have DBI 1.623 installed, and am attempting to install DBD::Oracle 1.27.
>
> I'm using Oracle instant client for Oracle 11.2, and I created my own
> oci.def file using 'pexports' and 'dlltool', as described in the header of
> the original oci.def file.
>
> The 'perl Makefile.PL' generates no errors.
>
> My 'make' creates Oracle.dll without any major issues (a few minor
> complaints about mismatched types in printf, pointer casts, ...).
>
> The 'make test' fails the first test:
>
>   Can't load ... Oracle.dll for module DBD::Oracle: Permission denied...

I'm not sure if the Dynaloader fails, or if the connection to the
oracle db fails with this error.

If it's the Dynaloader be sure that all dependencies can be loaded.
ldd blib/arch/Oracle/Oracle.dll will tell you that.

-- 
Reini Urban
http://cpanel.net/   http://www.perl-compiler.org/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple